unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw, StdCtrls, Buttons, ToolWin, ComCtrls, Gauges,
  Menus, ExtCtrls, shlobj;

type
  TForm1 = class(TForm)
    ToolBar1: TToolBar;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    ToolBar2: TToolBar;
    ComboBox1: TComboBox;
    SpeedButton6: TSpeedButton;
    WebBrowser1: TWebBrowser;
    StatusBar1: TStatusBar;
    Gauge1: TGauge;
    MainMenu1: TMainMenu;
    Html1: TMenuItem;
    Levelezs1: TMenuItem;
    Egyb1: TMenuItem;
    Kilps1: TMenuItem;
    jhtmlksztse1: TMenuItem;
    Htmlbetltse1: TMenuItem;
    jlevlrsa1: TMenuItem;
    Levelekfogadsa1: TMenuItem;
    frissts1: TMenuItem;
    Stop1: TMenuItem;
    Keress1: TMenuItem;
    SpeedButton7: TSpeedButton;
    OpenDialog1: TOpenDialog;
    Kedvencekinportlsaiebl1: TMenuItem;
    ListBox1: TListBox;
    Hozzadsakedvencekhez1: TMenuItem;
    procedure SpeedButton6Click(Sender: TObject);
    procedure ComboBox1KeyPress(Sender: TObject; var Key: Char);
    procedure WebBrowser1NewWindow2(Sender: TObject; var ppDisp: IDispatch;
      var Cancel: WordBool);
    procedure WebBrowser1StatusTextChange(Sender: TObject;
      const Text: WideString);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure WebBrowser1ProgressChange(Sender: TObject; Progress,
      ProgressMax: Integer);
    procedure FormResize(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure WebBrowser1NavigateComplete2(Sender: TObject;
      const pDisp: IDispatch; var URL: OleVariant);
    procedure SpeedButton4Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure WebBrowser1TitleChange(Sender: TObject;
      const Text: WideString);
    procedure Kilps1Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure ComboBox1DblClick(Sender: TObject);
    procedure jlevlrsa1Click(Sender: TObject);
    procedure Levelekfogadsa1Click(Sender: TObject);
    procedure jhtmlksztse1Click(Sender: TObject);
    procedure Htmlbetltse1Click(Sender: TObject);
    procedure frissts1Click(Sender: TObject);
    procedure Stop1Click(Sender: TObject);
    procedure Keress1Click(Sender: TObject);
    procedure Kedvencekinportlsaiebl1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure Hozzadsakedvencekhez1Click(Sender: TObject);
    procedure WebBrowser1CommandStateChange(Sender: TObject;
      Command: Integer; Enable: WordBool);
    procedure WebBrowser1DownloadBegin(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  url1, url2: string;
  gomb: boolean;

implementation

uses Unit2, unit6;

{$R *.dfm}

function GetIEFavorites(const favpath: string): TStrings;
var searchrec: TSearchrec;
  str: TStrings;
  path, dir, filename: string;
  Buffer: array[0..2047] of Char;
  found: Integer;

begin
  str := TStringList.Create;
  path := FavPath + '\*.url';
  dir := ExtractFilepath(path);
  found := FindFirst(path, faAnyFile, searchrec);
  while found = 0 do
  begin
    SetString(filename, Buffer,
      GetPrivateProfileString('InternetShortcut',
      PChar('URL'), nil, Buffer, SizeOf(Buffer),
      PChar(dir + searchrec.Name)));
    str.Add(filename);
    found := FindNext(searchrec);
  end;
  found := FindFirst(dir + '\*.*', faAnyFile, searchrec);
  while found = 0 do
  begin
    if ((searchrec.Attr and faDirectory) > 0) and
      (searchrec.Name[1] <> '.') then
      str.AddStrings(GetIEFavorites(dir + '\' + searchrec.name));
    found := FindNext(searchrec);
  end;
  FindClose(searchrec);
  Result := str;
end;

procedure TForm1.SpeedButton6Click(Sender: TObject);
var
  cim: integer;
  cim1: string;
begin
  cim1 := combobox1.text;
  webbrowser1.Navigate(cim1);
  cim := combobox1.Items.IndexOf(combobox1.Text);
  combobox1.Items.Delete(cim);
  combobox1.Items.Add(cim1);
end;

procedure TForm1.ComboBox1KeyPress(Sender: TObject; var Key: Char);
begin
  if key = #13 then speedbutton6.Click;
end;

procedure TForm1.WebBrowser1NewWindow2(Sender: TObject;
  var ppDisp: IDispatch; var Cancel: WordBool);
begin
  cancel := true;
  webbrowser1.Navigate(url2);
end;

procedure TForm1.WebBrowser1StatusTextChange(Sender: TObject;
  const Text: WideString);
begin
  url2 := text;
  statusbar1.Panels.Items[0].Text := text;
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  webbrowser1.GoBack;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  webbrowser1.GoForward;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  webbrowser1.Stop;
end;

procedure TForm1.WebBrowser1ProgressChange(Sender: TObject; Progress,
  ProgressMax: Integer);
begin
  statusbar1.Panels.Items[1].Text := 'Letltve: ' + inttostr(progress) + ' / ' + inttostr(progressmax);
  gauge1.MaxValue := progressmax;
  gauge1.Progress := progress;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  toolbar1.ButtonHeight := toolbar1.Height;
  combobox1.Width := toolbar2.Width - speedbutton6.Width;
  speedbutton1.Width := round((toolbar1.Width - gauge1.Width) / (toolbar1.ButtonCount - 1));
  speedbutton2.Width := round((toolbar1.Width - gauge1.Width) / (toolbar1.ButtonCount - 1));
  speedbutton3.Width := round((toolbar1.Width - gauge1.Width) / (toolbar1.ButtonCount - 1));
  speedbutton4.Width := round((toolbar1.Width - gauge1.Width) / (toolbar1.ButtonCount - 1));
  speedbutton5.Width := round((toolbar1.Width - gauge1.Width) / (toolbar1.ButtonCount - 1));
  speedbutton7.Width := round((toolbar1.Width - gauge1.Width) / (toolbar1.ButtonCount - 1));
  statusbar1.Panels.Items[0].Width := statusbar1.Width - statusbar1.Panels.Items[1].Width;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  combobox1.Items.LoadFromFile(extractfilepath(application.ExeName) + 'list.l');
  toolbar1.ButtonHeight := toolbar1.Height;
  gauge1.Width := gauge1.Height;
  webbrowser1.GoHome;
end;

procedure TForm1.WebBrowser1NavigateComplete2(Sender: TObject;
  const pDisp: IDispatch; var URL: OleVariant);
begin
  combobox1.Text := url;
  url1 := url;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
  webbrowser1.GoHome;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  combobox1.Items.SaveToFile(extractfilepath(application.ExeName) + 'list.l');
end;

procedure TForm1.WebBrowser1TitleChange(Sender: TObject;
  const Text: WideString);
begin
  form1.Caption := text + ' - WEB';
end;

procedure TForm1.Kilps1Click(Sender: TObject);
begin
  halt;
end;

procedure TForm1.SpeedButton7Click(Sender: TObject);
begin
  webbrowser1.Refresh;
end;

procedure TForm1.ComboBox1DblClick(Sender: TObject);
begin
  webbrowser1.Navigate(combobox1.Text);
end;

procedure TForm1.jlevlrsa1Click(Sender: TObject);
begin
  application.CreateForm(TForm2, Form2);
  form2.Show;
end;

procedure TForm1.Levelekfogadsa1Click(Sender: TObject);
var
  a: array[0..255] of char;
begin
  strpcopy(a, (extractfilepath(application.ExeName)) + 'level\level.exe');
  winexec(a, sw_ShowNormal);
end;

procedure TForm1.jhtmlksztse1Click(Sender: TObject);
begin
  Application.CreateForm(TForm6, Form6);
  form6.show;
end;

procedure TForm1.Htmlbetltse1Click(Sender: TObject);
begin
  if opendialog1.Execute then webbrowser1.Navigate(opendialog1.FileName);
end;

procedure TForm1.frissts1Click(Sender: TObject);
begin
  speedbutton7.Click;
end;

procedure TForm1.Stop1Click(Sender: TObject);
begin
  speedbutton3.Click;
end;

procedure TForm1.Keress1Click(Sender: TObject);
begin
  webbrowser1.GoSearch;
end;

procedure TForm1.Kedvencekinportlsaiebl1Click(Sender: TObject);
var pidl: PItemIDList;
  FavPath: array[0..MAX_PATH] of char;
begin
  SHGetSpecialFolderLocation(Handle, CSIDL_FAVORITES, pidl);
  SHGetPathFromIDList(pidl, favpath);
  listbox1.Items.AddStrings(GetIEFavorites(StrPas(FavPath)));
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  webbrowser1.Navigate(listbox1.Items[ListBox1.ItemIndex]);
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
  if listbox1.Visible = false then begin
    listbox1.Items.LoadFromFile(extractfilepath(application.exename) + 'kedv.list');
    listbox1.Visible := true;
    Hozzadsakedvencekhez1.Enabled := true;
  end
  else begin
    listbox1.Visible := false;
    listbox1.Items.savetofile(extractfilepath(application.exename) + 'kedv.list');
    Hozzadsakedvencekhez1.Enabled := false;
  end;
end;

procedure TForm1.Hozzadsakedvencekhez1Click(Sender: TObject);
begin
  listbox1.Items.Add(url1);
  showmessage('A ' + url1 + ' cm weblap felvtele a kedvencek listjra sikerlt!');
end;

procedure TForm1.WebBrowser1CommandStateChange(Sender: TObject;
  Command: Integer; Enable: WordBool);
begin
  case command of
    CSC_NAVIGATEBACK: speedbutton1.Enabled := Enable;
    CSC_NAVIGATEFORWARD: speedbutton2.Enabled := Enable;
  end;
end;

procedure TForm1.WebBrowser1DownloadBegin(Sender: TObject);
begin
  speedbutton1.Enabled := false;
  speedbutton2.Enabled := false;
end;

end.

