unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, ExtCtrls, FileCtrl, Psock, NMsmtp, inifiles;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    ListBox1: TListBox;
    Edit2: TEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton3: TSpeedButton;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    NMSMTP1: TNMSMTP;
    label4: TLabel;
    Panel3: TPanel;
    procedure FormResize(Sender: TObject);
    procedure ListBox1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure NMSMTP1Status(Sender: TComponent; Status: String);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  csat, cim, nev, UID, host : string;

implementation

{$R *.dfm}

procedure TForm2.FormResize(Sender: TObject);
begin
edit2.Width:=panel2.Width-16;
edit1.Width:=panel2.Width-16;
listbox1.Width:=panel2.Width-16;
end;

procedure TForm2.ListBox1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
  
var
        s : string;
begin
if button=mbright then begin
inputquery('j cmzett:','',s);
if s<>'' then
listbox1.items.add(s);
end
else if button=mbleft then begin
listbox1.Items.Delete(listbox1.ItemIndex);
end;
end;

procedure TForm2.ListBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
  var
        pont : TPoint;
begin
application.HintColor:=clskyblue;
application.HintPause:=0;
application.HintHidePause:=100000;
getcursorpos(pont);
application.ActivateHint(pont);
end;

procedure TForm2.SpeedButton1Click(Sender: TObject);
begin
panel3.Visible:=true;
form2.Enabled:=false;
nmsmtp1.PostMessage.ToAddress.Add(edit2.Text);
nmsmtp1.PostMessage.Subject:=edit1.Text;
nmsmtp1.PostMessage.Date:=datetostr(date);
if listbox1.Items.Count>0 then nmsmtp1.PostMessage.ToCarbonCopy.AddStrings(listbox1.Items);
nmsmtp1.PostMessage.Body.AddStrings(memo1.Lines);
if csat<>'' then nmsmtp1.PostMessage.Attachments.Add(csat);
try
nmsmtp1.Connect;
except
showmessage('Nem lehet csatlakozni a szerverhez!');
end;
if nmsmtp1.Connected then begin
try
nmsmtp1.SendMail;
finally
nmsmtp1.Disconnect;
end;
end;
if nmsmtp1.Connected=false then begin
form2.Enabled:=true;
form2.Close;
end;

//form2.Close;
end;

procedure TForm2.SpeedButton3Click(Sender: TObject);
begin
csat:=filelistbox1.FileName;
label4.Caption:='Csatolt: '+csat;
filelistbox1.Enabled:=false;
directorylistbox1.Enabled:=false;
drivecombobox1.Enabled:=false;
end;

procedure TForm2.FormCreate(Sender: TObject);
var
        ini : Tinifile;
begin
ini:=Tinifile.Create(extractfilepath(application.ExeName)+'adat.ini');
if ini.ReadString('Levelkuldo','cim','')='' then begin
showmessage('Meg kell adnia nhny adatot a levlkld elindtshoz!');
inputquery('Adat felvtel:','Az n e-mail cme:',cim);
inputquery('Adat felvtel:','Az n neve:', nev);
inputquery('Adat felvtel:','A szerver host-ja:',host);
inputquery('Adat felvtel:','Az n azonostja (User ID):',UID);
ini.WriteString('Levelkuldo','cim',cim);
ini.WriteString('Levelkuldo','nev',nev);
ini.WriteString('Levelkuldo','host',host);
ini.WriteString('Levelkuldo','UID',UID);
end
else begin
cim:=ini.ReadString('Levelkuldo','cim','');
nev:=ini.ReadString('Levelkuldo','nev','');
host:=ini.ReadString('Levelkuldo','host','');
UID:=ini.ReadString('Levelkuldo','UID','');
end;
nmsmtp1.PostMessage.FromAddress:=cim;
nmsmtp1.PostMessage.FromName:=nev;
nmsmtp1.PostMessage.ReplyTo:=cim;
nmsmtp1.Host:=host;
nmsmtp1.UserID:=UID;
ini.Free;
end;

procedure TForm2.NMSMTP1Status(Sender: TComponent; Status: String);
begin
panel3.Caption:=status;
end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
form2.Destroy;
end;

end.
