#include <stdio.h>

#define ELEMEK 10


int tomb[ELEMEK];
int szam = 14;


int eldont(int szam)  //van benne ilyen elem?
{
  int i;
	for (i = 0; i < ELEMEK; i++)
	{
		if (tomb[i] == szam)
			return 1; //talalt ilyen elemet
	}
	return 0; //nincs ilyen elem
}

int lin_keres(int szam)
{
  int i;
	for (i = 0; i < ELEMEK; i++)
	{
		if (tomb[i] == szam)
			return i; // a megtalalt elem indexet adja vissza
  }
 	return -1;   //nincs ilyen elem (azert -1, mert 0. indexu elem lehet)

}

int log_keres(int szam)
{
	int also = 0, felso = ELEMEK-1, kozepso;

	do
	{
		kozepso = (int)((also + felso)/2);
		if (tomb[kozepso] < szam)
			also = kozepso+1;
		if (tomb[kozepso] > szam)
			felso = kozepso-1;
  } while (also <= felso && tomb[kozepso] != szam);
	/*Ket esetben all le a ciklus: Ha megvan a keresett elem (tomb[kozepso] == SZAM) vagy
	 a teljes tombon vegigmentunk es nincs meg (also > felso)*/
  if (also > felso)
  	return -1; //tulszaladtunk, nincs ilyen ertek
  else
		return kozepso; // ez a keresett ertek indexe
}
void main() // itt hivjuk meg a fuggvenyeket
{
int index, i;
for (i=0; i<ELEMEK; i++)
	tomb[i] = i*2; //feltoltunk egy tombot ertekekkel

index = log_keres(szam); //logaritmikus kereses, csak rendezett tombon lehetseges
if (index == -1)
	printf("nincs ilyen ertek a tombben\n");
else
	printf("a keresett elem indexe: %d,  erteke: %d\n", index, tomb[index]);


if (eldont(szam) == 1)  //csak azt akarjuk tudni, letezik-e az elem
	printf("van ilyen elem a tombben\n");
else
	printf("a keresett elem nem talalhato\n");


if (lin_keres(szam) == -1) //linearis kereses, nem elofeltetel a rendezettseg
	printf("a linearis kereses nem talalt semmit\n");
else
	printf("linearis keresesben az elem indexe: %d, erteke: %d\n", lin_keres(szam), tomb[lin_keres(szam)]);

}

