unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, OleCtrls, SHDocVw, StdCtrls, ComCtrls, TabNotBk, ExtCtrls;

type
  TForm6 = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    Memo1: TMemo;
    WebBrowser1: TWebBrowser;
    MainMenu1: TMainMenu;
    Fjl1: TMenuItem;
    Ments1: TMenuItem;
    Megnyits1: TMenuItem;
    Kilps1: TMenuItem;
    Timer1: TTimer;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    procedure WebBrowser1TitleChange(Sender: TObject;
      const Text: WideString);
    procedure TabbedNotebook1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure WebBrowser1NewWindow2(Sender: TObject; var ppDisp: IDispatch;
      var Cancel: WordBool);
    procedure Ments1Click(Sender: TObject);
    procedure Megnyits1Click(Sender: TObject);
    procedure Kilps1Click(Sender: TObject);
    procedure Memo1Change(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;
  dir, filename: string;
  b: boolean;

implementation

{$R *.dfm}

procedure TForm6.WebBrowser1TitleChange(Sender: TObject;
  const Text: WideString);
begin
form6.Caption:='j HTML fjl ksztse'+' - '+text;
end;

procedure TForm6.TabbedNotebook1Change(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
begin
memo1.Lines.SaveToFile(dir+'\temp.html');
webbrowser1.Navigate(dir+'\temp.html');
end;

procedure TForm6.FormCreate(Sender: TObject);
begin
dir:='c:\windows\temp';
memo1.Lines.SaveToFile(dir+'\temp.html');
webbrowser1.Navigate(dir+'\temp.html');
timer1.Enabled:=true;
b:=false;
end;

procedure TForm6.WebBrowser1NewWindow2(Sender: TObject;
  var ppDisp: IDispatch; var Cancel: WordBool);
begin
cancel:=true;
end;

procedure TForm6.Ments1Click(Sender: TObject);
begin
If savedialog1.Execute then begin
                                memo1.Lines.SaveToFile(savedialog1.FileName);
                                b:=false;
                            end;
end;

procedure TForm6.Megnyits1Click(Sender: TObject);
begin
If opendialog1.Execute then begin
                                dir:=GetCurrentDir;
                                memo1.Lines.LoadFromFile(opendialog1.FileName);
                                memo1.Lines.SaveToFile(dir+'\temp.html');
                            end;
end;

procedure TForm6.Kilps1Click(Sender: TObject);
begin
close;
end;

procedure TForm6.Memo1Change(Sender: TObject);
begin
b:=true;
end;

procedure TForm6.FormClose(Sender: TObject; var Action: TCloseAction);
begin
if b=true then begin
if messagedlg ('Mg nem mentett!'+#13+'Elmenti a vltozsokat?',mtConfirmation, [mbYes, mbNo], 0) = mrYes then ments1.Click;
end;
form6.Destroy;
end;

end.
