/**************************************************************************
 *                                                                        *
 *   Created by   Duns-Varga Zsolt                                       *
 *   Copyright(c) Duns-Varga Zsolt                                       *
 *                                                                        *
 **************************************************************************/
package mydnd.myjlists;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.util.*;


public class MyJList extends JList implements MouseMotionListener,
					MouseListener {
	boolean imagedraw = true;
	Vector spList = null;
	JScrollPane sp1 = null;
	JPanel panel = null;

	BufferedImage img = null;
	BufferedImage img2 = null;
	Rectangle moveRect = null;
	int px = -1;
	int py = -1;
	int cx = -1;
	int cy = -1;
	boolean isPainted = false;
	int selectedItem = -1;

public MyJList(JPanel panel) {
		super(new DefaultListModel());
		
		this.panel = panel;

		setVisibleRowCount(8);
		setFixedCellWidth(250);
		setFixedCellHeight(20);

		addMouseListener(this);
		addMouseMotionListener(this);
	}



public void setVector(Vector spList) {
	this.spList = new Vector(spList); 
}

public Vector getContentVector() {
Vector v = new Vector();
DefaultListModel dlm = (DefaultListModel)getModel();
for(int i = 0;i<dlm.size();i++) {
	v.add(dlm.get(i));
	}
return(v);}

public void addItem(Object obj) {
DefaultListModel dlm = (DefaultListModel)getModel();
dlm.addElement(obj);
}

public Object getItem(int index) {
DefaultListModel dlm = (DefaultListModel)getModel();
return (dlm.get(index));
}

public Rectangle getOnScreen(JComponent obj) {
Rectangle rect = obj.getBounds();
rect.setLocation((int)obj.getLocationOnScreen().getX(),
			(int)obj.getLocationOnScreen().getY());
return (rect);}

public void getSp1() {

		px = (int)getOnScreen(panel).getX();
		py = (int)getOnScreen(panel).getY();

if (sp1==null) {

		int x = (int)getOnScreen(this).getX()+5;
		int y = (int)getOnScreen(this).getY()+5;

	for(int i = 0;i<spList.size();i++) {
		JScrollPane obj = (JScrollPane)spList.get(i);

	if (getOnScreen(obj).contains(new Point(x,y))) {
		sp1=obj;
		}
	}
}
}

public void mouseClicked(MouseEvent e ) { 

if (isPainted==false) {

Graphics g = panel.getGraphics();
Robot r = null;
try { r = new Robot(); } catch( AWTException e2 ) {;}

	 
int lx = (int)getOnScreen(this).getX();
int ly = (int)getOnScreen(this).getY()+
		(int)(getFirstVisibleIndex()*getFixedCellHeight());

int h = (int)((getSelectedIndex()-getFirstVisibleIndex())*
				getFixedCellHeight());

Rectangle rect = new Rectangle(lx,ly+h,getFixedCellWidth(),
						getFixedCellHeight());
img = r.createScreenCapture(rect);

moveRect = rect;
selectedItem = getSelectedIndex();

}
}

public void mouseReleased(MouseEvent e ) { 


Graphics g = panel.getGraphics();
if (img2!=null) { 
if (imagedraw) { g.drawImage(img2,cx,cy,this); }
	img2=null;
	}
setEnabled(true);
sp1.getVerticalScrollBar().setEnabled(true);
isPainted=false;

	for(int i = 0;i<spList.size();i++) {
	JScrollPane obj = (JScrollPane)spList.get(i);
	if (getOnScreen(obj).contains(new Point(cx+px+1,cy+py+1))) {
JViewport jv = (JViewport)obj.getComponentAt(5,5);


	 MyJList jl = (MyJList)jv.getView();
	 jl.addItem(getItem(selectedItem));
	}
	}
cx=-1;
cy=-1;
img=null;

}

public void mousePressed(MouseEvent e ) { }
public void mouseEntered(MouseEvent e ) {
getSp1(); 
 }
public void mouseExited(MouseEvent e ) { }

public void mouseMoved(MouseEvent e ) { }


public void mouseDragged(MouseEvent e ) { 

if ((img!=null) && (selectedItem == getSelectedIndex())) {

Graphics g = panel.getGraphics();
if ((img2!=null))  { 
if (imagedraw) {g.drawImage(img2,cx,cy,this); }
if (isPainted==false) {
  isPainted=true;
  int x = (int)moveRect.getX()-px;
  int y = (int)moveRect.getY()-py;
if (imagedraw) {g.drawImage(img,x,y,this); }
  }

}

Robot r = null;
try { r = new Robot(); } catch( AWTException e2 ) {;}

int mx = (int)getOnScreen(sp1).getX()-px+(int)e.getX();
int my = (int)getOnScreen(sp1).getY()-py+(int)e.getY()
			-getFirstVisibleIndex()*getFixedCellHeight();

Rectangle moveRect2 = 
  new Rectangle(mx+px,my+py,getFixedCellWidth(),getFixedCellHeight());

img2 = r.createScreenCapture(moveRect2);

cx=mx;
cy=my;

if (isEnabled()) {
setEnabled(false);
sp1.getVerticalScrollBar().setEnabled(false);
}

if (imagedraw) {g.drawImage(img,mx,my,this); }

}
}

public static void setVerticalScrollBars(Vector spList) {
for(int i = 0;i<spList.size();i++) {
JScrollPane sp = (JScrollPane)spList.get(i);
sp.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
	}
}




}

